# Uses of Class
org.mariadb.jdbc.BasePrepareStatement

Packages that use BasePrepareStatement
Package
Description
org.mariadb.jdbc

## Uses of BasePrepareStatement in org.mariadb.jdbc

Subclasses of BasePrepareStatement in org.mariadb.jdbc
Modifier and Type
Class
Description
`class`
`CallableFunctionStatement`
`class`
`CallableProcedureStatement`
`class`
`ClientSidePreparedStatement`
`class`
`MariaDbFunctionStatement`
`class`
`MariaDbProcedureStatement`
`class`
`ServerSidePreparedStatement`
Methods in org.mariadb.jdbc that return BasePrepareStatement
Modifier and Type
Method
Description
`BasePrepareStatement`
BasePrepareStatement.`clone(MariaDbConnection connection)`
Clone cached object.